package com.ruoyi.app.domain.request;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

public class AddHookBindBatch {
    /** 绑定时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bindTime;

    private String hookNoList;
    private String slaughterCode;
    private Long distributeBatchId;
    public void setHookNoList(String hookNoList)
    {
        this.hookNoList = hookNoList;
    }

    @NotBlank(message = "吊钩号不能为空")
    public String getHookNoList()
    {
        return hookNoList;
    }

    public void setSlaughterCode(String slaughterCode)
    {
        this.slaughterCode = slaughterCode;
    }

    public String getSlaughterCode()
    {
        return slaughterCode;
    }

    public void setDistributeBatchId(Long distributeBatchId)
    {
        this.distributeBatchId = distributeBatchId;
    }

    public Long getDistributeBatchId()
    {
        return distributeBatchId;
    }

    public void setBindTime(Date bindTime)
    {
        this.bindTime = bindTime;
    }

    public Date getBindTime()
    {
        return bindTime;
    }

}
